%global pypi_name traitlets

Name:           python-traitlets
Version:        5.14.3
Release:        %mkrel 2
Group:          Development/Python
Summary:        Traitlets Python config system

License:        BSD
URL:            https://ipython.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

%description
A configuration system for Python applications.

%package -n     python3-%{pypi_name}
Summary:        Traitlets Python config system
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A configuration system for Python applications.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -w -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files traitlets

%check
# test temporarly disabled: https://github.com/ipython/traitlets/issues/911#issuecomment-2395338075
%pytest -k "not argcomplete"

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Tue Jan 21 2025 papoteur <papoteur> 5.14.3-2.mga10
+ Revision: 2140314
- disable a failing test about argcomplete

* Tue Jul 02 2024 papoteur <papoteur> 5.14.3-1.mga10
+ Revision: 2078927
- new version 5.14.3

* Mon Dec 25 2023 wally <wally> 5.14.0-1.mga10
+ Revision: 2021435
- new version 5.14.0

* Thu Dec 21 2023 tv <tv> 5.3.0-2.mga10
+ Revision: 2020646
- Rebuild for python 3.12

* Fri Jul 01 2022 joequant <joequant> 5.3.0-1.mga9
+ Revision: 1866920
- sync deps
- fix builddeps
- fix deps
- fix deps
- add deps
- update to 5.3.0

* Tue Mar 29 2022 umeabot <umeabot> 5.1.1-3.mga9
+ Revision: 1832826
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 5.1.1-2.mga9
+ Revision: 1783541
- Rebuild for python-3.10

* Sun Feb 13 2022 wally <wally> 5.1.1-1.mga9
+ Revision: 1773843
- new version 5.1.1
- rebuild for python3.10
+ tv <tv>
- Rebuild for python-3.10

* Wed Oct 20 2021 joequant <joequant> 5.1.0-1.mga9
+ Revision: 1752258
- update to 5.1.0

* Wed Mar 17 2021 wally <wally> 5.0.5-2.mga9
+ Revision: 1704038
- rebuild for python 3.9

* Tue Nov 03 2020 joequant <joequant> 5.0.5-1.mga8
+ Revision: 1641869
- update to 5.0.5

* Sun Feb 16 2020 umeabot <umeabot> 4.3.2-6.mga8
+ Revision: 1531582
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 4.3.2-5.mga8
+ Revision: 1440238
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 tv <tv> 4.3.2-4.mga7
+ Revision: 1350503
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 4.3.2-3.mga7
+ Revision: 1290434
- Mageia 7 Mass Rebuild

* Wed Aug 09 2017 philippem <philippem> 4.3.2-2.mga7
+ Revision: 1139344
- rebuild using setuptools to generate requires, fix doc build

* Wed Aug 09 2017 philippem <philippem> 4.3.2-1.mga7
+ Revision: 1139305
- update to 4.3.2

* Sat Aug 05 2017 pterjan <pterjan> 4.2.1-5.mga7
+ Revision: 1135670
- Rebuild for python 3.6
+ tv <tv>
- rebuild for new python

* Fri Apr 15 2016 philippem <philippem> 4.2.1-3.mga6
+ Revision: 1002836
- update to 4.2.1

* Sat Feb 20 2016 umeabot <umeabot> 4.0.0-3.mga6
+ Revision: 971129
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 4.0.0-2.mga6
+ Revision: 889294
- rebuild for python 3.5
- BR python(3)-sphinx_rtd_theme

* Thu Aug 20 2015 joequant <joequant> 4.0.0-1.mga6
+ Revision: 866936
- imported package python-traitlets

